--- zebra/connected.c.orig	2021-11-08 12:44:24.000000000 +0900
+++ zebra/connected.c	2022-03-26 15:32:58.718181000 +0900
@@ -124,6 +124,9 @@
 			continue;
 		if (!CONNECTED_PEER(ifc) && !d)
 			return ifc;
+		/* XXX: an alias with the same prefixlen has non-NULL d. */
+		if (!CONNECTED_PEER(ifc))
+			return ifc;
 		if (CONNECTED_PEER(ifc) && d
 		    && prefix_same(ifc->destination, d))
 			return ifc;
